Subject: [AVTCORE] [Errata Verified] RFC7273 (4450)

From: RFC Errata System <[email-masked]>
Date: Wed, 25 May 2016 14:41:43 -0700 (PDT)

The following errata report has been verified for RFC7273,
"RTP Clock Source Signalling". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7273&eid=4450

--------------------------------------
Status: Verified
Type: Technical

Reported by: Kevin Gross <[email-masked]>
Date Reported: 2015-08-18
Verified by: Ben Campbell (IESG)

Section: 4.8

Original Text
-------------
  ; PTP domain allowed characters: 0x21-0x7E (IEEE 1588-2002)
   ptp-domain-name = "domain-name=" 1*16ptp-domain-char
   ptp-domain-char = %x21-7E

   ; PTP domain allowed number range: 0-127 (IEEE 1588-2008)
   ptp-domain-nmbr = "domain-nmbr=" ptp-domain-dgts
   ptp-domain-dgts = ptp-domain-n1 / ptp-domain-n2 / ptp-domain-n3
   ptp-domain-n1   = DIGIT             ; 0-9
   ptp-domain-n2   = POS-DIGIT DIGIT   ; 10-99
   ptp-domain-n3   = ("10"/"11") DIGIT ; 100-119
                   / "12" %x30-37      ; 120-127

Corrected Text
--------------
   ; PTP domain allowed characters: 0x21-0x7E (IEEE 1588-2002)
   ptp-domain-name = 1*16ptp-domain-char
   ptp-domain-char = %x21-7E

   ; PTP domain allowed number range: 0-127 (IEEE 1588-2008)
   ptp-domain-nmbr = ptp-domain-dgts
   ptp-domain-dgts = ptp-domain-n1 / ptp-domain-n2 / ptp-domain-n3
   ptp-domain-n1   = DIGIT             ; 0-9
   ptp-domain-n2   = POS-DIGIT DIGIT   ; 10-99
   ptp-domain-n3   = ("10"/"11") DIGIT ; 100-119
                   / "12" %x30-37      ; 120-127

Notes
-----
There is an inconsistency between ABNF in section 4.8 and examples in section 5.5. Due to evidence that current implementations are working to what is shown in the examples, this is resolved by updating the ABNF specification.

--------------------------------------
RFC7273 (draft-ietf-avtcore-clksrc-11)
--------------------------------------
Title               : RTP Clock Source Signalling
Publication Date    : June 2014
Author(s)           : A. Williams, K. Gross, R. van Brandenburg, H. Stokking
Category            : PROPOSED STANDARD
Source              : Audio/Video Transport Core Maintenance RAI
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG